<?php
/**
 * Register Widget(s)
 *
 * @package marie
 */

/**
 * Init Widgets
 *
 * @package marie
 */
function marie_widgets_init() {
	register_sidebar(
		array(
			'name'          => __( 'Front Page Widget Area One', 'marie' ),
			'id'            => 'marie_frontpage_widget_area_one',
			'before_widget' => '',
			'after_widget'  => '',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>',
		)
	);
	register_sidebar(
		array(
			'name'          => __( 'Front Page Widget Area Two', 'marie' ),
			'id'            => 'marie_frontpage_widget_area_two',
			'before_widget' => '',
			'after_widget'  => '',
			'before_title'  => '<h3>',
			'after_title'   => '</h3>',
		)
	);
	register_sidebar(
		array(
			'name'          => __( 'Front Page Widget Area Three', 'marie' ),
			'id'            => 'marie_frontpage_widget_area_three',
			'before_widget' => '',
			'after_widget'  => '',
			'before_title'  => '<h3 class="twist">',
			'after_title'   => '</h3>',
		)
	);
	register_sidebar(
		array(
			'name'          => __( 'Footer Widget Area', 'marie' ),
			'id'            => 'marie_footer_widget_area',
			'before_widget' => '',
			'after_widget'  => '',
		)
	);
}
add_action( 'widgets_init', 'marie_widgets_init' );
