/* eslint-disable space-unary-ops */

/*
* Handle select category form on home (blog) page. See category-links.php.
*/
const categorySelect = () => {
	// Get the form and the select element.
	const selectForm = document.getElementById( 'marie-category-select-form' );
	const categorySelectEl = document.getElementById( 'marie-category-select' );

	if ( !selectForm || !categorySelectEl ) {
		return;
	}

	// Listen for <select> changes.
	categorySelectEl.addEventListener( 'change', function( e ) {
		// Return if the wp default 'Select category' is selected.
		if ( e.target.value === '-1' ) {
			return;
		}

		// Else submit the form.
		selectForm.submit();
	} );
};

export default categorySelect;
