<?php
/**
 * Template to display single posts and attachments
 *
 * @package marie
 */

if ( is_singular() ) {
	$marie_class = 'marie-single';
} else {
	$marie_class = 'marie-non-single marie-card';
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $marie_class ); ?>>
<div class="entry-header">

	<?php marie_post_thumbnail( 'medium_large' ); ?>
</div>

	<div class="entry-content">

			<?php the_content(); ?>


			<?php
			wp_link_pages(
				array(
					'before' => '<div class="marie-pagination">',
					'after'  => '</div>',
				)
			);
			?>

	</div>

	<footer class="entry-footer">
		<div class="entry-meta">
			<span><?php esc_html_e( 'Posted', 'marie' ); ?></span>
			<span class="entry-meta-date"><?php the_time( 'F jS, Y' ); ?></span>
			<?php
			$kats = the_category( ', ' );

			if ( '' !== $kats && ! empty( $kats ) ) {
				?>
				<span><?php esc_html_e( ' in ', 'marie' ); ?></span>
				<span class="entry-meta-category wrap-cat-links">
					<?php the_category( ', ' ); ?>
				</span>
				<?php
			}

			?>
		</div>
	</footer>

</article>
