<?php
/**
 * Render individual Featured - Front Page.
 *
 * @package marie
 */

if ( true === $feature_show ) {
	?>
	<div class="marie-feature marie-feature-<?php echo esc_attr( $str ); ?> marie-card">
	<?php
	if ( $feature_image ) {
		?>
		<div class="what-img-wrap">
			<?php
			echo wp_kses_post( $feature_image );
			?>
		</div>
		<?php
	}
	?>
		<div class="marie-feature-title">
			<?php
			if ( $feature_title ) {
				?>
					<h3><?php echo esc_html( $feature_title ); ?></h3>
				<?php
			}
			?>
		</div><!-- .marie-feature-title -->

		<div class="marie-feature-text">
			<?php
			if ( $feature_text ) {
				?>
				<p><?php echo esc_html( $feature_text ); ?></p>
				<?php
			}
			?>
			<?php
			if ( $feature_link && $feature_link_text ) {
				?>
				<a href='<?php echo esc_url( $feature_link ); ?>' class="marie-default-btn marie-maybe-custom-link">

				<?php
				if ( esc_html( $feature_link_text_sr ) ) {
					?>
						<span class="screen-reader-text">
							<?php echo esc_html( $feature_link_text_sr ); ?>
						</span>
					<?php
				}
				?>

				<span><?php echo esc_html( $feature_link_text ); ?></span>
			</a>
				<?php
			}
			?>
		</div> <!-- end .marie-feature-text -->
	</div>

	<?php
}
