<?php
/**
 * The Footer Template
 *
 * @package marie
 */

?>

		</main> <!-- end #main -->
		<footer class="site-footer">
			<div class="marie-footer-item-one">
				<?php
				if ( has_nav_menu( 'footer-menu' ) ) {
					wp_nav_menu( array( 'theme_location' => 'footer-menu' ) );
				}
				?>
			</div>

			<div class="marie-footer-item-two">
				<?php

				// NOTE: marie_render_linked_logo() uses site logo as default so no need to pass any args.
				echo wp_kses_post( marie_render_linked_logo( '', false ) );
				?>

				<p class="marie-copyright">
					&copy;<?php bloginfo( 'name' ); ?> <?php echo esc_html( gmdate( 'Y' ) ); ?>
				</p>

					<div class="marie-socials-wrap">
						<?php
						if ( has_nav_menu( 'socials-footer' ) ) {
							wp_nav_menu(
								array(
									'theme_location'       => 'socials-footer',
									'link_before'          => '<span>',
									'link_after'           => '</span>',
									'container'            => 'nav',
									'container_aria_label' => 'socials-menu-footer',
									'menu_class'           => 'navbar-socials-footer',
								)
							);
						}
						?>
					</div>
					<?php

					dynamic_sidebar( 'marie_footer_widget_area' );

					?>
			</div>
		</footer>
			<?php wp_footer(); ?>
	</body>
</html>
