<?php
/**
 * MARIE Theme Index template.
 *
 * @package marie
 */

get_header(); ?>

		<?php

		// 1. Wrap content in .marie-content-wrap.
		?>
		<div class="index-content-wrap marie-content-wrap">

			<?php

			if ( is_home() || is_category() ) {

				// 2. Render category links ( if is blog page or category page. ).
				get_template_part( 'template-parts/marie-components/category-links' );
			}

			// 3. Render the content.

			// If not singular, wrap <articles> for more control.
			if ( ! is_singular() ) :
				?>
			<div class="marie-non-single-wrap">
				<?php
			endif;
			if ( have_posts() ) {

				while ( have_posts() ) {
					the_post();
					get_template_part( 'template-parts/content/content', get_post_type() );
				}
			} else {
				// If no content, include the "No posts found" template.
				get_template_part( 'template-parts/content/content', 'none' );

			}
			if ( ! is_singular() ) :
				?>
			</div>
				<?php
			endif;

			// 4. Render pagination if there is any.
			marie_maybe_render_pagination();
			?>

		</div><!-- .marie-content-wrap -->

<?php
get_footer();
