<?php
/**
 * Template Name: Frontpage
 *
 * @package marie
 */

// Get should_show_section for each section.
$use_alt_heroine   = get_theme_mod( 'heroine_use_alt_heroine', false );
$show_heroine      = get_theme_mod( 'heroine_show_section', false );
$show_widget_one   = get_theme_mod( 'widget-section-one_show_section', false );
$show_widget_two   = get_theme_mod( 'widget-section-two_show_section', false );
$show_widget_three = get_theme_mod( 'widget-section-three_show_section', false );
?>
<?php get_header(); ?>
	<?php
	if ( $show_heroine ) {
		if ( $use_alt_heroine ) {
			get_template_part( 'marie-frontpage-sections/heroine-alt' );
		} else {

			get_template_part( 'marie-frontpage-sections/heroine' );
		}
	}
	?>
	<div class="frontpage-content-wrap marie-content-wrap">
		<?php

		// Show page content.
		get_template_part( 'template-parts/content/content-page' );

		if ( $show_widget_one ) {
			get_template_part( 'marie-frontpage-sections/marie-frontpage-widget-one' );
		}
		if ( $show_widget_two ) {
			get_template_part( 'marie-frontpage-sections/marie-frontpage-widget-two' );
		}
		if ( $show_widget_three ) {
			get_template_part( 'marie-frontpage-sections/marie-frontpage-widget-three' );
		}
		?>
	</div><!-- .marie-content-wrap -->

	<?php

	get_footer();
