<?php
/**
 * MARIE Theme - Search Results Template
 *
 * @package marie
 */

get_header();

?>
<div class="search-content-wrap marie-content-wrap">


		<?php
		if ( have_posts() ) {

			// So there isn't two search forms on the page - only show search form if there ARE results because content-none also shows it.
			get_search_form(
				array(
					'aria_label' => __( 'Search for:', 'marie' ),
				)
			);
			echo '<h2>';
			printf(
				esc_html(
					/* translators: %d: the number of search results. */
					_n(
						'%d result for ',
						'%d results for ',
						(int) $wp_query->found_posts,
						'marie'
					) . '"' . esc_attr( get_search_query() ) . '"'
				),
				(int) $wp_query->found_posts
			);
			echo '</h2>';
			?>
			<div class="marie-non-single-wrap">

				<?php

				while ( have_posts() ) {

					the_post();


						get_template_part( 'template-parts/content/content-post-basic' );

				}
				?>
			</div><!-- .marie-non-single-wrap -->

				<?php

		} else {
			// If no content, include the "No posts found" template.
			get_template_part( 'template-parts/content/content', 'none' );
		}
		marie_maybe_render_pagination();
		?>

</div> <!-- .marie-content-wrap -->

<?php
get_footer();
