import { navigationHandlers } from '../handlers';

const {
	handleExpandAppropiateSubMenu,
} = navigationHandlers;

/**
 * Init Menu.
 */
function subMenuToggle() {
	// 1. Listen or Un-Listen to all button.sub-menu-toggles.
	const allSubMenuToggleButtons = document.querySelectorAll( 'header#marie-main-header .sub-menu-toggle' );

	if ( allSubMenuToggleButtons && allSubMenuToggleButtons.length ) {
		allSubMenuToggleButtons.forEach( ( button ) => {
			button.addEventListener( 'click', handleExpandAppropiateSubMenu );
		} );
	}
}
export default subMenuToggle;
