<?php
/**
 * Standard Post Format
 *
 * @package marie
 */

?>

<section class="no-results not-found">


	<h2><?php esc_html_e( 'Nothing Found', 'marie' ); ?></h2>


	<div class="page-content">
		<?php

		if ( is_search() ) :
			?>

			<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'marie' ); ?></p>
			<?php

			get_search_form(
				array(
					'aria_label' => __( 'Search for:', 'marie' ),
				)
			);

		else :
			?>

			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for.', 'marie' ); ?></p>
			<?php
				get_search_form(
					array(
						'aria_label' => __( 'Search for:', 'marie' ),
					)
				);

		endif;
		?>
	</div><!-- .page-content -->
</section><!-- .no-results -->
